Package org.springframework.core

# Interface MethodIntrospector.MetadataLookup<T>

Type Parameters:
  `T` - the type of metadata returned

Enclosing class:
  MethodIntrospector

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface MethodIntrospector.MetadataLookup<T>
A callback interface for metadata lookup on a given method.

## Method Summary

Modifier and Type
Method
Description
`T`
`inspect(Method method)`
Perform a lookup on the given method and return associated metadata, if any.

## Method Details

### inspect

@Nullable T inspect(Method method)
Perform a lookup on the given method and return associated metadata, if any.

Parameters:
  `method` - the method to inspect
Returns:
  non-null metadata to be associated with a method if there is a match, or `null` for no match